com.h3c.of.ctl

## Enum OpenflowEventType

- java.lang.Object
- - java.lang.Enum<OpenflowEventType>
  - - com.h3c.of.ctl.OpenflowEventType

- All Implemented Interfaces:
    Serializable, Comparable<OpenflowEventType>

      public enum OpenflowEventType
      extends Enum<OpenflowEventType>

  Designates the different OpenFlow Controller events that can occur.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DATAPATH_CONNECTED` An OpenFlow-capable device connected to the controller.
    `DATAPATH_DISCONNECTED` An OpenFlow-capable device disconnected from the controller.
    `DATAPATH_REVOKED` An OpenFlow-capable device was revoked from the controller, because a duplicate datapath ID was detected.
    `DROPPED_EVENTS_CHECKPOINT` Signifies an unspecified number of dropped events, and marks the position in the queue where the posting of events was resumed.
    `ERROR` An unexpected error occurred.
    `LISTENER_ADDED` An `OpenflowListener` has registered with the controller.
    `LISTENER_REMOVED` An `OpenflowListener` has unregistered from the controller.
    `MESSAGE_RX` An OpenFlow message was received from a datapath.
    `MESSAGE_TX` An OpenFlow message was transmitted to a datapath.
    `MX_CHECKPOINT` A synthetic event, used as a checkpoint by the management API.
    `QUEUE_FULL` A listener's event queue has exceeded capacity, and has been flagged as "on probation".
    `QUEUE_FULL_RESET` A listener's event queue has been drained below the queue-full-reset level (a percentage of the queue capacity), and the "on probation" state has been cleared.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OpenflowEventType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static OpenflowEventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DATAPATH_CONNECTED

          public static final OpenflowEventType DATAPATH_CONNECTED

      An OpenFlow-capable device connected to the controller.

    - #### DATAPATH_DISCONNECTED

          public static final OpenflowEventType DATAPATH_DISCONNECTED

      An OpenFlow-capable device disconnected from the controller.

    - #### DATAPATH_REVOKED

          public static final OpenflowEventType DATAPATH_REVOKED

      An OpenFlow-capable device was revoked from the controller, because a duplicate datapath ID was detected.

    - #### MESSAGE_RX

          public static final OpenflowEventType MESSAGE_RX

      An OpenFlow message was received from a datapath.

    - #### MESSAGE_TX

          public static final OpenflowEventType MESSAGE_TX

      An OpenFlow message was transmitted to a datapath.

    - #### LISTENER_ADDED

          public static final OpenflowEventType LISTENER_ADDED

      An `OpenflowListener` has registered with the controller.

    - #### LISTENER_REMOVED

          public static final OpenflowEventType LISTENER_REMOVED

      An `OpenflowListener` has unregistered from the controller.

    - #### ERROR

          public static final OpenflowEventType ERROR

      An unexpected error occurred.

    - #### QUEUE_FULL

          public static final OpenflowEventType QUEUE_FULL

      A listener's event queue has exceeded capacity, and has been flagged as "on probation". This is not a good thing. OpenFlow events will not be posted to the listener's queue again until the queue has been drained below the queue-full-reset level, (which will clear the "on probation" state).

    - #### QUEUE_FULL_RESET

          public static final OpenflowEventType QUEUE_FULL_RESET

      A listener's event queue has been drained below the queue-full-reset level (a percentage of the queue capacity), and the "on probation" state has been cleared.

    - #### DROPPED_EVENTS_CHECKPOINT

          public static final OpenflowEventType DROPPED_EVENTS_CHECKPOINT

      Signifies an unspecified number of dropped events, and marks the position in the queue where the posting of events was resumed.

    - #### MX_CHECKPOINT

          public static final OpenflowEventType MX_CHECKPOINT

      A synthetic event, used as a checkpoint by the management API.

  - ### Method Detail

    - #### values

          public static OpenflowEventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OpenflowEventType c : OpenflowEventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OpenflowEventType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.